Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.Capability

    java.lang.Object
      java.lang.Enum<Contact.Capability>
          com.skype.api.Contact.Capability

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Contact.Capability>

Enclosing class:
  Contact

    public static enum Contact.Capability

extends java.lang.Enum<Contact.Capability>
implements EnumConverting

This enumerator is used by both Contact and Account objects. Thus the items here can have slightly different meaning, depending on which context you will examine their values. In case of Contact, the values apply to a user - across all the instances that user has logged in with Skype. In case of Account, the capability is that of a local, currently logged in instance of Skype client. The values that CAPABILITY items can have are also dependant on class context. In context of Contact, a capability can be CAPABILITY_MIXED. Which in case of CAPABILITY_VIDEO, for example, would mean that the remote use has logged in with different clients, some of which support video calls and some of which don't. In context of Account - there are no mixed result. Currently logged in Skype instance either supports video or it doesn't.

Enum Constant Summary
`CAPABILITY_CALL_FORWARD` Indicates that Account/Contact supports call forwarding.
`CAPABILITY_CAN_BE_SENT_VM` For contacts, this is a combination of CAPABILITY_VOICEMAIL for local account (local Skype client supports sending voicemails) and CAPABILITY_VOICEMAIL of the Contact - if the contact supports sending voicemails then hopefully they can also receive them.
`CAPABILITY_COMMERCIAL_CONTACT`
`CAPABILITY_LARGE_CONFERENCE` This is a legacy item, from the old times when conference calls with more than 5 people were limited to SkypePro accounts.
`CAPABILITY_MOBILE_DEVICE` Indicates that the instance of Skype client Account/Contact is or in Contact's case has at least occasionally been flagged as a mobile device.
`CAPABILITY_PSTN_TRANSFER` Indicates that Account/Contact supports call transfers to PSTN numbers.
`CAPABILITY_PUBLIC_CONTACT`
`CAPABILITY_SERVICE_PROVIDER` Indicates that the contact/account is flagged as SkypePrime service provider.
`CAPABILITY_SKYPEIN` Indicates that the contact/account has SkypeIn and is thus capable of answering PSTN calls.
`CAPABILITY_SKYPEOUT` Indicates that the contact/account has SkypeOut and is thus capable of making PSTN calls.
`CAPABILITY_TEXT` In context of Contact, this indicates that the user is noticed running at least one Skype implementation that supports text messaging.
`CAPABILITY_TEXT_EVER` Indicates that the user has had his chat capability removed by Skype.
`CAPABILITY_VIDEO` Indicates that Account/Contact supports call video calls.
`CAPABILITY_VOICE_EVER` Indicates that the user (Account or Contact) has had his voice call capability removed by Skype.
`CAPABILITY_VOICEMAIL` For Account object, this is the same as CAPABILITY_CAN_BE_SENT_VM - it indicates that the currently logged in Skype instance supports voicemails.

Field Summary
`static int` | `CAPABILITY_CALL_FORWARD_VALUE`
`static int` | `CAPABILITY_CAN_BE_SENT_VM_VALUE`
`static int` | `CAPABILITY_COMMERCIAL_CONTACT_VALUE`
`static int` | `CAPABILITY_LARGE_CONFERENCE_VALUE`
`static int` | `CAPABILITY_MOBILE_DEVICE_VALUE`
`static int` | `CAPABILITY_PSTN_TRANSFER_VALUE`
`static int` | `CAPABILITY_PUBLIC_CONTACT_VALUE`
`static int` | `CAPABILITY_SERVICE_PROVIDER_VALUE`
`static int` | `CAPABILITY_SKYPEIN_VALUE`
`static int` | `CAPABILITY_SKYPEOUT_VALUE`
`static int` | `CAPABILITY_TEXT_EVER_VALUE`
`static int` | `CAPABILITY_TEXT_VALUE`
`static int` | `CAPABILITY_VIDEO_VALUE`
`static int` | `CAPABILITY_VOICE_EVER_VALUE`
`static int` | `CAPABILITY_VOICEMAIL_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Contact.Capability` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Contact.Capability` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.Capability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAPABILITY_VOICEMAIL

    public static final Contact.Capability CAPABILITY_VOICEMAIL

  For Account object, this is the same as CAPABILITY_CAN_BE_SENT_VM - it indicates that the currently logged in Skype instance supports voicemails. For Contact objects, it means that their remote system supports sending voicemails - there is no technical method for Skype to detect whether they are capable of receiving voicemails, so the assumption is that they can.

### CAPABILITY_SKYPEOUT

    public static final Contact.Capability CAPABILITY_SKYPEOUT

  Indicates that the contact/account has SkypeOut and is thus capable of making PSTN calls.

### CAPABILITY_SKYPEIN

    public static final Contact.Capability CAPABILITY_SKYPEIN

  Indicates that the contact/account has SkypeIn and is thus capable of answering PSTN calls.

### CAPABILITY_CAN_BE_SENT_VM

    public static final Contact.Capability CAPABILITY_CAN_BE_SENT_VM

  For contacts, this is a combination of CAPABILITY_VOICEMAIL for local account (local Skype client supports sending voicemails) and CAPABILITY_VOICEMAIL of the Contact - if the contact supports sending voicemails then hopefully they can also receive them.

### CAPABILITY_CALL_FORWARD

    public static final Contact.Capability CAPABILITY_CALL_FORWARD

  Indicates that Account/Contact supports call forwarding.

### CAPABILITY_VIDEO

    public static final Contact.Capability CAPABILITY_VIDEO

  Indicates that Account/Contact supports call video calls.

### CAPABILITY_TEXT

    public static final Contact.Capability CAPABILITY_TEXT

  In context of Contact, this indicates that the user is noticed running at least one Skype implementation that supports text messaging. Basically, it applies to a user. When applied to Account, the meaning is slightly different. In that case it indicates that currently running Skype implementation supports chat messaging. So, for Account objects, this is a node (rather than user) capability.

### CAPABILITY_SERVICE_PROVIDER

    public static final Contact.Capability CAPABILITY_SERVICE_PROVIDER

  Indicates that the contact/account is flagged as SkypePrime service provider. This is linked to Account class SERVICE_PROVIDER_INFO property.

### CAPABILITY_LARGE_CONFERENCE

    public static final Contact.Capability CAPABILITY_LARGE_CONFERENCE

  This is a legacy item, from the old times when conference calls with more than 5 people were limited to SkypePro accounts. In other words, this item is no longer relevant and will likely be removed at some point in future.

### CAPABILITY_COMMERCIAL_CONTACT

    public static final Contact.Capability CAPABILITY_COMMERCIAL_CONTACT

### CAPABILITY_PSTN_TRANSFER

    public static final Contact.Capability CAPABILITY_PSTN_TRANSFER

  Indicates that Account/Contact supports call transfers to PSTN numbers.

### CAPABILITY_TEXT_EVER

    public static final Contact.Capability CAPABILITY_TEXT_EVER

  Indicates that the user has had his chat capability removed by Skype. Basically, this means that the user is reported as spammer too many times. This applies for both Contact and Account objects - which means your client can check locally, if the currently logged in user has been marked as a spammer.

### CAPABILITY_VOICE_EVER

    public static final Contact.Capability CAPABILITY_VOICE_EVER

  Indicates that the user (Account or Contact) has had his voice call capability removed by Skype.

### CAPABILITY_MOBILE_DEVICE

    public static final Contact.Capability CAPABILITY_MOBILE_DEVICE

  Indicates that the instance of Skype client Account/Contact is or in Contact's case has at least occasionally been flagged as a mobile device.

### CAPABILITY_PUBLIC_CONTACT

    public static final Contact.Capability CAPABILITY_PUBLIC_CONTACT

Field Detail

### CAPABILITY_VOICEMAIL_VALUE

    public static final int CAPABILITY_VOICEMAIL_VALUE

See Also:
  Constant Field Values

### CAPABILITY_SKYPEOUT_VALUE

    public static final int CAPABILITY_SKYPEOUT_VALUE

See Also:
  Constant Field Values

### CAPABILITY_SKYPEIN_VALUE

    public static final int CAPABILITY_SKYPEIN_VALUE

See Also:
  Constant Field Values

### CAPABILITY_CAN_BE_SENT_VM_VALUE

    public static final int CAPABILITY_CAN_BE_SENT_VM_VALUE

See Also:
  Constant Field Values

### CAPABILITY_CALL_FORWARD_VALUE

    public static final int CAPABILITY_CALL_FORWARD_VALUE

See Also:
  Constant Field Values

### CAPABILITY_VIDEO_VALUE

    public static final int CAPABILITY_VIDEO_VALUE

See Also:
  Constant Field Values

### CAPABILITY_TEXT_VALUE

    public static final int CAPABILITY_TEXT_VALUE

See Also:
  Constant Field Values

### CAPABILITY_SERVICE_PROVIDER_VALUE

    public static final int CAPABILITY_SERVICE_PROVIDER_VALUE

See Also:
  Constant Field Values

### CAPABILITY_LARGE_CONFERENCE_VALUE

    public static final int CAPABILITY_LARGE_CONFERENCE_VALUE

See Also:
  Constant Field Values

### CAPABILITY_COMMERCIAL_CONTACT_VALUE

    public static final int CAPABILITY_COMMERCIAL_CONTACT_VALUE

See Also:
  Constant Field Values

### CAPABILITY_PSTN_TRANSFER_VALUE

    public static final int CAPABILITY_PSTN_TRANSFER_VALUE

See Also:
  Constant Field Values

### CAPABILITY_TEXT_EVER_VALUE

    public static final int CAPABILITY_TEXT_EVER_VALUE

See Also:
  Constant Field Values

### CAPABILITY_VOICE_EVER_VALUE

    public static final int CAPABILITY_VOICE_EVER_VALUE

See Also:
  Constant Field Values

### CAPABILITY_MOBILE_DEVICE_VALUE

    public static final int CAPABILITY_MOBILE_DEVICE_VALUE

See Also:
  Constant Field Values

### CAPABILITY_PUBLIC_CONTACT_VALUE

    public static final int CAPABILITY_PUBLIC_CONTACT_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Contact.Capability[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.Capability c : Contact.Capability.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.Capability valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Contact.Capability get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.